PubSubService_publish
POST /pubsub/pubsubconnectorservice/publish
Operation id: PubSubService_publish
Tags: PubSubService
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Request body
Required: Yes
application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
topic | string | No | |
data | string | No | |
attributes | object | No | |
project | string | No |
{
"type": "object",
"properties": {
"topic": {
"type": "string"
},
"data": {
"type": "string"
},
"attributes": {
"type": "object"
},
"project": {
"type": "string"
}
}
}
Response models
200 — A successful response.
Content type: application/json
Schema
{
"type": "string"
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}